Array.prototype.in_array = function ( term ) {
	for( i = 0; i < this.length; i++ ) {
		if( this[ i ] === term ) {
			return true;
		}
	}
	
	return false;
}

Array.prototype.last = function () {
	return this[ this.length - 1 ];	
}

function tabsInit() {
	var buttonContainer = document.getElementById('Tabs');
	
	for( i = 0; i < buttonContainer.childNodes.length; i++ ) {
		if( buttonContainer.childNodes[i].nodeType == 1 ) {
			buttonContainer.childNodes[i].attachEvent( 'onclick', showPage );
		}
	}
}

function showPage() {
	var pageContainer = document.getElementById('pages_container');
	var pageName = window.event.srcElement.id.split('_')[1];
	
	for( i = 0; i < pageContainer.childNodes.length; i++ ) {
		if( pageContainer.childNodes[i].nodeType == 1) {
			if( pageContainer.childNodes[i].id == pageName ) {
				pageContainer.childNodes[i].style.display = 'block';
			}
			else {
				pageContainer.childNodes[i].style.display = 'none';
			}
		}		
	}
}

function showError( string ) {
	var node = document.getElementById('Debug');
	
	node.innerHTML = string;
	node.style.display = 'block';
}

function hideError() {
	var node = document.getElementById('Debug');
	
	node.style.display = 'none';
}

function checkExtension( path, allowed ) {	
	var pathComponents = path.split('\\');
	var fileName = { 'full': pathComponents.last(), 
					 'name': pathComponents.last().split('.').pop(), 
					 'extension': pathComponents.last().split('.').last().toLowerCase() };
	
	if( allowed.in_array( fileName[ 'extension' ] ) ) {
		hideError();
		return true;
	}
	
	showError( 'Invalid extension.' );
	return false;
}